#!/bin/bash
launcher(){
	if [ "$(uname)" == "Darwin" ]; then
osascript <<END
	tell application "Terminal"
		do script "$1"
	end tell
END
	else
		xterm -e "$1; echo 'execution terminated, press a key to close.'; read" &
	fi
}

dir=$(cd `dirname "${BASH_SOURCE[0]}"` && pwd)
client_launcher="cd $dir/client; jolie client.ol"
launcher "$client_launcher"
read -p "Launched the starter role, press [Enter] to continue..."
read -p "Launching the last role, press [Enter] to start the choreography..."
seller_launcher="cd $dir/seller; jolie seller.ol"
launcher "$seller_launcher"